package fr.shortcircuit.model;

import fr.shortcircuit.xml.IXMLObject;

/** 
 * @author Dimitri Dean DARSEYNE (D3), 
 * Published by Short-Circuit under Creative Commons (CC) Licensing: 
 * Authorship/Paternity, NO Commercial Use, NO Derivative
 * Please check for more informations:
 * http://creativecommons.org/licenses/by-nc-nd/2.0/
 *
 * Auteur Dimitri Dean DARSEYNE (D3),
 * Publié par Short-Circuit sous license Creative Commons (CC):
 * Paternité, PAS d'Utilisation Commerciale, pas de Dérivés/Modifications
 * Pour plus d'informations, se rendre sur:
 * http://creativecommons.org/licenses/by-nc-nd/2.0/fr/ 
 * 
 * @since Short-Circuit 1999
 */

public class Entry implements IXMLObject
{
	public String 				id, designation, type;
	
	
	public Entry(String id, String designation, String type)
	{
		createStructure(id, designation, type);	
	}
	
	public void createStructure(String id, String designation, String type)
	{
		this.id					= id;
		this.designation		= designation;		   
		this.type				= type;
	}
	
	public String toString()		{return "" + id + ", " + designation;}
	
	///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//IXMLObject implementation
	///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	public String toXmlString()
	{
		StringBuffer bufContent	= new StringBuffer();
		
		bufContent.append("<");
		bufContent.append("entry ");
		bufContent.append("id=\"" + this.id + "\" ");
		bufContent.append("designation=\"" + this.designation + "\" ");
		bufContent.append("type=\"" + this.type + "\" ");
		
		bufContent.append("/>");
		
		return bufContent.toString();	
	}

}